Bug 1775047 (CVE-2019-19058) - CVE-2019-19058 kernel: A memory leak in the alloc_sgtable() function in drivers/net/wireless/intel/iwlwifi/fw/dbg.c allows for a DoS
Summary: CVE-2019-19058 kernel: A memory leak in the alloc_sgtable() function in drive...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19058
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1775048 1776606 1829371 1829372 1829373 1829374 1829375
Blocks: 1775049
TreeView+ depends on / blocked
 
Reported: 2019-11-21 11:37 UTC by Marian Rehak
Modified: 2021-02-16 21:01 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. The Intel Wireless WiFi MVM Firmware driver mishandles resource cleanup during device coredump. An attacker able to trigger the device coredump and system-wide out of memory conditions at the same time could use this flaw to crash the system. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-09-29 21:59:01 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4416 0 None None None 2020-10-29 15:09:36 UTC
Red Hat Product Errata RHBA-2020:4417 0 None None None 2020-10-29 15:08:04 UTC
Red Hat Product Errata RHBA-2020:4418 0 None None None 2020-10-29 15:13:33 UTC
Red Hat Product Errata RHBA-2020:4419 0 None None None 2020-10-29 15:11:37 UTC
Red Hat Product Errata RHBA-2020:4420 0 None None None 2020-10-29 15:51:03 UTC
Red Hat Product Errata RHSA-2020:4060 0 None None None 2020-09-29 20:52:14 UTC
Red Hat Product Errata RHSA-2020:4062 0 None None None 2020-09-29 18:58:25 UTC

Description Marian Rehak 2019-11-21 11:37:49 UTC
A memory leak in the alloc_sgtable() function in drivers/net/wireless/intel/iwlwifi/fw/dbg.c in the Linux kernel through 5.3.11 allows attackers to cause a denial of service (memory consumption) by triggering alloc_page() failures.

Upstream Issue:

https://github.com/torvalds/linux/commit/b4b814fec1a5a849383f7b3886b654a13abbda7d

Comment 1 Marian Rehak 2019-11-21 11:38:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1775048]

Comment 3 Petr Matousek 2020-04-29 13:15:20 UTC
Statement:

This issue is rated as having Low impact because of the preconditions needed to trigger the resource cleanup code path (system-wide out-of-memory condition).

Comment 4 Petr Matousek 2020-04-29 13:15:24 UTC
Mitigation:

In order to mitigate this issue it is possible to prevent the affected code from being loaded by blacklisting the kernel module iwlmvm. For instructions relating to how to blacklist a kernel module refer to: https://access.redhat.com/solutions/41278 .

Comment 6 errata-xmlrpc 2020-09-29 18:58:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 7 errata-xmlrpc 2020-09-29 20:52:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060

Comment 8 Product Security DevOps Team 2020-09-29 21:59:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19058


Note You need to log in before you can comment on or make changes to this bug.